package com.yidianling.im.session.viewholder;


import android.widget.TextView;

import com.ydl.ydl_router.manager.YDLRouterManager;
import com.ydl.ydlcommon.router.IYDLRouterConstant;
import com.yidianling.im.R;
import com.yidianling.im.session.extension.CustomAttachLingXiJumpConfideList;
import com.yidianling.nimbase.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter;
import com.yidianling.uikit.business.session.viewholder.MsgViewHolderBase;

public class MsgViewHolderLingXiJumpConfideList extends MsgViewHolderBase {
    private TextView tvJump;
    CustomAttachLingXiJumpConfideList customAttachLingXiJumpConfideList;

    public MsgViewHolderLingXiJumpConfideList(BaseMultiItemFetchLoadAdapter adapter) {
        super(adapter);
    }

    @Override
    protected int getContentResId() {
       return  R.layout.im_nim_lingxi_jump_confide_list;
    }

    @Override
    protected void inflateContentView() {
        tvJump = findViewById(R.id.tv_jump_confide_list);

    }

    @Override
    protected void bindContentView() {
        customAttachLingXiJumpConfideList = ((CustomAttachLingXiJumpConfideList) message.getAttachment());
        tvJump.setOnClickListener(view -> {
            YDLRouterManager.Companion.router(IYDLRouterConstant.ROUTER_CONFIDE_HOME);
        });
    }
}
